Автор Тема: flashplayer и opera  (Прочитано 12299 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Debian8

flashplayer и opera
« : 11 Марта 2016, 12:34:23 »
Привет зашедшему в мою тему! В мире невиндовс я новичок, поэтому прошу гуру не пинать джуниора =)
После копания debian из командной строки я наконец-то созрел поставить ОС как рабочую, с рабочим столом. Время от времени надо просматривать видеоматериал на ютубе. Прижилась у меня опера, ни сразу, но вначале наладил звук, потом и пошло видео. Но вот, к примеру, на rbc.ru всё равно требует установить flashplayer.
Мне пока сложно ориентироваться в правильном алгоритме решения проблем в debian. Поэтому вот минимум исходных данных.
Это моя ОС - 3.16.0-4-686-pae #1 SMP Debian 3.16.7-ckt20-1+deb8u4 (2016-02-29) i686 GNU/Linux
Здесь по умолчанию лежит плагин - /usr/lib/flashplugin-nonfree/libflashplayer.so
По инструкции на сайте оперы он должен быть в /usr/lib/opera/plugins, но такой папки нет.

Кому не сложно, подскажите как и чего сделать. На данном форуме уже поискал, но там что-то к firefox решения уходят.
 

Оффлайн vovan--vovan

Re: flashplayer и opera
« Ответ #1 : 11 Марта 2016, 13:15:11 »
/usr/lib/opera/plugins, но такой папки нет
Ну так сделайте такую папку, положите туда плагин, посмотрите что получится.
Не даст поколебаться Он ноге твоей, и не воздремлет хранящий тебя...
 

Оффлайн Debian8

Re: flashplayer и opera
« Ответ #2 : 11 Марта 2016, 13:54:49 »
Сделал папку, скопировал туда плагин, перезапустил оперу. Нет результат. В самой опере нашёл опцию управления плагинами, но там нет ничего, где можно указать местоположение плагина или папки плагинов.
Поставл в итоге iceweasel, там конкретно видео с rbc.ru открывает. (Но на сайте https://wiki.debian.org/ru/firefox написано, что В Дебиане не рекомендуется использовать Firefox).
Помучаю оперу ещё.
 

Оффлайн ferum

Re: flashplayer и opera
« Ответ #3 : 11 Марта 2016, 15:29:14 »
Что её особо крутить? http://www.opera.com/ru/computer/linux при установке тянет как рекомендованный flashplugin-nonfree  из несвободной ветки , почти с тем же успехом воспроизводит видео по html5  при установке соответствующего плагина....а про версию 12 пора забывать.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн Debian8

Re: flashplayer и opera
« Ответ #4 : 15 Марта 2016, 16:06:29 »
http://www.opera.com/ru/computer/linux
Переустановил. Установку провёл по ссылке выше, но изначально тоже по ней ставил. Удалял через apt-get autoremove. Установка шла через установщик графический (пакет deb скачался). Короче, flash player так же требует. Юзаю пока Firefox =)
Если как-нибудь решу, то отпишусь. Надо попробовать на виртуалке. Может я уже чего накрутил на своей машине.
 

Оффлайн _Semen1991_

Re: flashplayer и opera
« Ответ #5 : 15 Марта 2016, 16:49:16 »
Из https://wiki.debian.org/Opera следует
Цитировать
System wide files

Plug-in path
   

/usr/lib/opera/plugins
/usr/lib/flashplugin-nonfree
/usr/lib/mozilla/plugins

Я бы попробовал скачать .tar.gz архив с сайта адобы (https://get.adobe.com/ru/flashplayer/), распаковать его в любое место, а затем скопировать куда надо соответствующие папочки (там подписано все, usr, lib и т.д.).

Сам файл libflashplayer.so я бы попробовал закинуть во все три папки, которые указаны в описании пакета.
Если папок таких нет, то их надо создать.

К слову, наличие libflashplayer.so в папке /usr/lib/mozilla/plugins еще и обеспечит нормальную работу iceweasel.

Может и прокатить...

P.S.
Цитировать
Но на сайте https://wiki.debian.org/ru/firefox написано, что В Дебиане не рекомендуется использовать Firefox

Iceweasel то можно использовать)
Ну и потом у Debian сообщества просто "пунктик" на счет свободности софта.
Так что думаю никаких проблем с Firefox на самом деле нет.

P.P.S.
Видео с рбк и ютуба может кстати и gnash потянуть, несмотря даже на его ущербность...
« Последнее редактирование: 15 Марта 2016, 17:04:05 от _Semen1991_ »
 

Оффлайн ferum

Re: flashplayer и opera
« Ответ #6 : 15 Марта 2016, 18:50:42 »
/usr/lib/flashplugin-nonfree
Этого достаточно, каталог создаётся при установке flashplugin-nonfree
Русские дебианщики против цифрового слабоумия !
 

Оффлайн _Semen1991_

Re: flashplayer и opera
« Ответ #7 : 16 Марта 2016, 11:25:19 »
/usr/lib/flashplugin-nonfree
Этого достаточно, каталог создаётся при установке flashplugin-nonfree
Ну а как тогда объяснить, что он не работает?
К тому же в пакете flashplugin-nonfree постоянно устаревшая версия flashplayer, у меня iceweasel отказывается например с ней работать, считая ее уязвимой. В любом случае установка самого свежего flashplayer может решить вопрос.
 

Оффлайн ferum

Re: flashplayer и opera
« Ответ #8 : 16 Марта 2016, 11:52:50 »
Ручками поменять libflashplayer.so из свежего архива это такая большая проблема?
Хотя можно и принудительно обновить версию флеша, он по любому загружается с официального сайта, только что скриптом из пакета  flashplugin-nonfree
# update-flashplugin-nonfree --install[ot]Связался с linux учись гуглить.[/ot]
Русские дебианщики против цифрового слабоумия !
 

Оффлайн _Semen1991_

Re: flashplayer и opera
« Ответ #9 : 16 Марта 2016, 12:03:17 »
Ручками поменять libflashplayer.so из свежего архива это такая большая проблема?
Хотя можно и принудительно обновить версию флеша, он по любому загружается с официального сайта, только что скриптом из пакета  flashplugin-nonfree
# update-flashplugin-nonfree --install[ot]Связался с linux учись гуглить.[/ot]
Не понял вопроса. Человек спросил что можно сделать для решения описанной им проблемы. Я ответил - обновить flashplayer. Причем тут, насколько это большая проблема? Человек поставил пакет flashplayer-nonfree. Там ведь в описании пакета не сказано, что этот плеер скорее всего устаревший.
 

Оффлайн Aalexeey

Re: flashplayer и opera
« Ответ #10 : 16 Марта 2016, 17:06:12 »
С сайта adobe скачиваете архив для linux: install_flash_player_11_linux.i386.tar.gz или install_flash_player_11_linux.x86_64.tar.gz оттуда берёте libflashplayer.so и ложите из под root в /usr/lib/mozilla/plugins. Там Opera (у меня 12.12.1707 последняя 12я до серьёзных переделок) его сама увидит. Если на youtube будут синие рожи то надо создать файл mms.cfg в /etc/adobe/ с содержимымEnableLinuxHWVideoDecode=0
OverrideGPUValidation=true
Затем во время просмотра кликнуть правой кнопкой на изображение и в настройках снять галочку с аппаратного ускорения. Про это есть много в сети.
Также можно создать закладку с адресом https://www.youtube.com/html5 для переключения браузера в html5, если с flash возникают проблемы.
Да и ещё когда сделаете не забудьте удалить все те говно flash плагины которые ранее установили.
« Последнее редактирование: 16 Марта 2016, 17:10:01 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн Debian8

Re: flashplayer и opera
« Ответ #11 : 21 Марта 2016, 16:50:15 »
Я бы попробовал скачать .tar.gz архив с сайта адобы (https://get.adobe.com/ru/flashplayer/), распаковать его в любое место, а затем скопировать куда надо соответствующие папочки (там подписано все, usr, lib и т.д.).


Сегодня Iceweasel сказал, что плагин устарел. Решил я ещё раз поковыряться.
Сейчас и изначально я качал архив .tar.gz. Распаковал. По папкам всё раскидал. Опера ни в какую. Iceweasel перестал ругаться на старый плагин.
Пробовал и rpm пакет установить. Там что-то всё ругалось, из-под KDE не ставилось. Не буду тут уточнять что да как. Скорее всего что-то не так делал.
Короче забью пока на этот вопрос. Спасибо всем откликнувшимся за хорошие пояснения!
Может когда-нибудь решу, отпишусь, если силы меня не покинут изучать интересный Debian =)
 

Оффлайн mnt

Re: flashplayer и opera
« Ответ #12 : 22 Марта 2016, 11:05:54 »
В Synaptic ВРЕМЕННО подключаем вместо основного "jessie" более свежий "sid" (строки ниже).
Было:
deb http://ftp.ru.debian.org/debian/ jessie main contrib non-free
Сделать:
deb http://ftp.ru.debian.org/debian/ sid main contrib non-free
Обновляем в Synaptic список пакетов, затем обновляем ТОЛЬКО эти пакеты pepper:
pepperflashplugin-nonfree
browser-plugin-freshplayer-pepperflash
Затем опять меняем "sid" на "jessie" и обновляем в Synaptic список пакетов.

При установке этих пакетов автоматически отключится (НО НЕ УДАЛИТСЯ) прежний flashplayer, если он был установлен.
После этих действий все должно работать автоматом.
« Последнее редактирование: 22 Марта 2016, 11:08:24 от mnt »
 
Пользователи, которые поблагодарили этот пост: blink

Оффлайн _Semen1991_

Re: flashplayer и opera
« Ответ #13 : 28 Апреля 2016, 12:14:01 »
Из интереса попробовал сам установить opera и решить эту проблему...
Похоже эта проблема не имеет тривиального решения.

С какой-то версии Opera работает на движке chromium.
К этом чуду идет pepperflash, который скачивает и собирает flash player для хромого из репов гугля.
Однако в один прекрасный миг гугль решил, что поддержка Google Chrome для архитектуры i386 это от лукавого.
Так что сейчас pepperflash (хоть из sid хоть из weezy) ругается на битые репы гугля и не может собрать pepflashplayer.sh, который нужен для работы Flash в opere.

Гугл плавно превращается из корпорации добра в корпорацию зла. Так что единственный разумный выход - использовать Firefox/Iceweasel, или им другие браузеры на движке Gecko, к которым прикручивается и Adobe Flash и его свободные вариации gnash/knash и прочие..
Ну либо качать google-chrome_i386.deb с зеркал или архивов и пытаться из него как-то вытянуть этот самый pepflashplayer.sh, забрасывать его в папку /usr/lib/pepperflashplayer-nonfree и молиться, что это заработает.
У меня это сделать не вышло...

Мне кажется других вариантов нет.
 
Пользователи, которые поблагодарили этот пост: Pacman

Оффлайн lexaan

Re: flashplayer и opera
« Ответ #14 : 11 Октября 2016, 15:18:27 »
тоже сломал голову... у меня OpenSUSE 12.2... Но... покопавшись и наткнувшись на /usr/lib/opera/resources/pepper_flash_config.json тупо создал /usr/lib/PepperFlash и туда положил libpepflashplayer.so и вуаля... Опера скушала плагин flashplayer
 

Теги:
     

    Debian 8/9 [32/64 bit] && flashplayer && FF

    Автор Leo

    Ответов: 0
    Просмотров: 1369
    Последний ответ 10 Июля 2017, 18:08:05
    от Leo